Ozone

Open Finance Malaysia Developer Portal

Transactions

Request

GET /v1/accounts/100004000000000000000004/transactions?page_size=5 HTTP/1.1
Host: rs1.sandbox.mya.ozoneapi.io
authorization: Bearer 7b390bd2-988b-45b0-a1b5-322ff200ce4f
x-signature: eyJhbGciOiJQUzI1NiIs...<truncated-x-signature-token>
x-fapi-interaction-id: 3649a602-566c-49b1-b6c6-ae67519cbba0

Decoded x-signature Token

{
  "alg": "PS256",
  "kid": "CYMIwoZ1CUbkI0WhG1Km7Td8bU7V2DYEB3cXVHdGwAI"
}

Body

{
  "iss": "16f87e367071230059bff09a",
  "exp": 1769774361.772,
  "iat": 1769774061.772,
  "nbf": 1769774061.772,
  "aud": [
    "DP9876543210",
    "Paynet OFP"
  ],
  "jti": "3649a602-566c-49b1-b6c6-ae67519cbba0",
  "qpm": {
    "page_size": "5"
  },
  "url": "http://https://rs1.sandbox.mya.ozoneapi.io/v1/accounts/100004000000000000000004/transactions",
  "sub": "a7cb03ff-4c70-4eaa-87f4-f2a4c4c87b0d"
}

Response

200 OK
Content-Type: application/jose
x-fapi-interaction-id: 3649a602-566c-49b1-b6c6-ae67519cbba0

{
  "iss": "a7cb03ff-4c70-4eaa-87f4-f2a4c4c87b0d",
  "aud": [
    "Paynet OFP",
    "DP9876543210"
  ],
  "data": "eyJhbGciOiJSU0EtT0FFUC0yNTYiL...<truncated-JWE>",
  "exp": 1769777729,
  "iat": 1769774129,
  "nbf": 1769774129,
  "jti": "a633b22d-db14-4e15-ab6e-b61983fa8440"
}

Decrypted JWE

{
  "alg": "RSA-OAEP-256",
  "enc": "A256GCM",
  "cty": "JWT"
}

Body

{
  "data": [
    {
      "account_id": "550e8400-e29b-41d4-a716-446655660006",
      "transaction_id": "4a6e66b6-1389-42c1-84a1-8c54ad3bb523",
      "transaction_date": "2025-09-01T08:00:00+08:00",
      "credit_debit_indicator": "debit",
      "amount": {
        "amount": "629.23",
        "currency": "MYR"
      },
      "description": "Interest charge - loan",
      "is_settled": true
    },
    {
      "account_id": "550e8400-e29b-41d4-a716-446655660006",
      "transaction_id": "7ddd9b1e-90fc-4369-88a8-59d333f58a46",
      "transaction_date": "2025-09-05T22:40:59+08:00",
      "credit_debit_indicator": "debit",
      "amount": {
        "amount": "1414.01",
        "currency": "MYR"
      },
      "description": "Insurance claim reimbursement",
      "transfer_method": "funds_transfer",
      "transfer_submethod": "ibg",
      "is_settled": true
    },
    ...
    {
      "account_id": "550e8400-e29b-41d4-a716-446655660006",
      "transaction_id": "c0f4a38f-8ff6-47e8-b9e1-88ca99167ab9",
      "transaction_date": "2025-09-06T14:37:46+08:00",
      "credit_debit_indicator": "debit",
      "amount": {
        "amount": "1456.68",
        "currency": "MYR"
      },
      "description": "Insurance claim reimbursement",
      "transfer_method": "funds_transfer",
      "transfer_submethod": "direct_debit",
      "is_settled": true
    }
  ],
  "meta": {
    "next_page_params": "eyJwYWdlU2l6ZSI6MywiZmlyc3RSZWNvcmQiOjMsImFkZGl0aW9uYWxQYXJhbXMiOnsidG9fZGF0ZSI6IjIwMjUtMTItMjUifX0="
  }
}
Previous
Balances

Powered by ozoneapi

© 2026 Open Finance Malaysia Developer Portal. All rights reserved.